/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * ControllerOptions_SystemCommandJob.cpp
 *
 *  Created on: 01.06.2012
 *      Author: heber

 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "CodePatterns/Log.hpp"

#include "ControllerOptions_SystemCommandJob.hpp"

int ControllerOptions_SystemCommandJob::parseExecutable(boost::program_options::variables_map &vm) {
  if ((command == "createjobs") || (command == "addjobs")) {
    if (!vm.count("executable")) {
      ELOG(1, "'"+command+"' requires two options: [executable] [jobcommand].");
      return 255;
    }
    executable = vm["executable"].as< std::string >();
  }
  return 0;
}

int ControllerOptions_SystemCommandJob::parseJobCommand(boost::program_options::variables_map &vm) {
  if (command == "createjobs") {
    if (!vm.count("jobcommand")) {
      ELOG(1, "'"+command+"' requires two options: [executable] [jobcommand].");
      return 255;
    }
    jobcommand = vm["jobcommand"].as< std::string >();
  }
  return 0;
}
