/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * DefaultOptions.cpp
 *
 *  Created on: 01.06.2012
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "DefaultOptions.hpp"

#include "CodePatterns/Log.hpp"
#include "CodePatterns/Verbose.hpp"

int DefaultOptions::parseHelp(boost::program_options::variables_map &vm, const boost::program_options::options_description &desc) {
  if (vm.count("help")) {
    std::cout << desc << "\n";
    return 1;
  }
  return 0;
}
int DefaultOptions::parseVerbosity(boost::program_options::variables_map &vm) {
  if (vm.count("verbosity")) {
    LOG(0, "STATUS: Verbosity level was set to " << vm["verbosity"].as<size_t>() << ".");
    setVerbosity(vm["verbosity"].as<size_t>());
  } else {
    LOG(0, "STATUS: Verbosity level was not set, defaulting to 5.");
    setVerbosity(5);
  }
  return 0;
}

